<?php

/**
 * @file Similar By Terms Views data include file
 */

function tutorial_views_data() {
  
  $data['tutorial']['table']['group']  = t('Tutorial');
  $data['tutorial_context']['table']['group']  = t('Tutorial');
  $data['tutorial']['table']['base'] = array(
    'field' => 'tid',
    'title' => t('Tutorial'),
    'help' => t('Embedded tutorials.'),
  );
  $data['tutorial_context']['table']['join']['node'] = array(
    'left_table' => 'tutorial',
    'left_field' => 'tid',
    'field' => 'tid',
  );
  $data['tutorial']['table']['join']['node'] = array(
    'left_field' => 'nid',
    'field' => 'nid',
  );
  $data['tutorial']['nid'] = array(
    'title' => t('Nid'),
    'help' => t('The node ID of the tutorial.'), // The help that appears on the UI,
    // Information for displaying the nid
    'field' => array(
      'handler' => 'views_handler_field_node',
      'click sortable' => TRUE,
    ),
    // Information for accepting a nid as an argument
    'argument' => array(
      'handler' => 'views_handler_argument_node_nid',
      'parent' => 'views_handler_argument_numeric', // make sure parent is included
      'name field' => 'title', // the field to display in the summary.
      'numeric' => TRUE,
      'validate type' => 'nid',
    ),
    // Information for accepting a nid as a filter
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    // Information for sorting on a nid.
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );
  $data['tutorial']['duration'] = array(
    'title' => t('Duration'),
    'help' => t('The node ID of the tutorial.'), // The help that appears on the UI,
    // Information for displaying the nid
    'field' => array(
      'handler' => 'tutorial_handler_field_duration',
      'click sortable' => TRUE,
    ),
    // Information for accepting a nid as an argument
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
      'parent' => 'views_handler_argument', // make sure parent is included
      'name field' => 'title', // the field to display in the summary.
      'numeric' => TRUE,
      'validate type' => 'nid',
    ),
    // Information for accepting a nid as a filter
    'filter' => array(
      'handler' => 'views_handler_filter_numeric',
    ),
    // Information for sorting on a nid.
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );
  $data['tutorial_context']['p0'] = array(
    'title' => t('Context path'), // The item it appears as on the UI,
    'help' => t('Context path of a tutorial.'), // The help that appears on the UI,
     // Information for displaying a title as a field
    'field' => array(
      'group' => t('Tutorial'), // The group it appears in on the UI. Could be left out.
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
     ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    // Information for accepting a title as a filter
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'argument' => array(
      'handler' => 'tutorial_handler_argument_context',
    ),
  );
  $data['tutorial_context']['selector'] = array(
    'title' => t('Selector'), // The item it appears as on the UI,
    'help' => t('Context selector of a tutorial.'), // The help that appears on the UI,
     // Information for displaying a title as a field
    'field' => array(
      'group' => t('Tutorial'), // The group it appears in on the UI. Could be left out.
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
     ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    // Information for accepting a title as a filter
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );
  
  return $data;
}

/**
 * Implementation of hook_views_handlers().
 */
function tutorial_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'tutorial') . '/views',
    ),
    'handlers' => array(
      'tutorial_handler_argument_context' => array(
        'parent' => 'views_handler_argument_string',
      ),
      'tutorial_handler_field_duration' => array(
        'parent' => 'views_handler_field_numeric',
      ),
    ),
  );
}